
%global date   20070619
%global svnrev 12
%global abi    0

Name:      fastlz
Summary:   Portable real-time compression library
Version:   0.1.0
Release:    1%{?dist}
License:   MIT
URL:       http://fastlz.org/

Source0:   %{name}-%{svnrev}.tar.bz2

BuildRequires: gcc


%description
FastLZ is a lossless data compression library designed for real-time
compression and decompression. It favors speed over compression ratio.
Decompression requires no memory. Decompression algorithm is very simple,
and thus extremely fast.


%package devel
Summary:    Header files and development libraries for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the header files and development libraries
for %{name}.


%prep
%setup -q -n %{name}-%{svnrev}


%build
gcc %optflags -fPIC -c fastlz.c  -o fastlz.o
gcc %optflags -fPIC -shared \
   -Wl,-soname -Wl,lib%{name}.so.%{abi} \
   -o lib%{name}.so.%{abi} fastlz.o
ln -s lib%{name}.so.%{abi} lib%{name}.so

gcc %optflags -fPIC 6pack.c   -L. -l%{name} -o 6pack
gcc %optflags -fPIC 6unpack.c -L. -l%{name} -o 6unpack


%install
install -D -m 0755 lib%{name}.so.%{abi} %{buildroot}%{_libdir}/lib%{name}.so.%{abi}
ln -s lib%{name}.so.%{abi} %{buildroot}%{_libdir}/lib%{name}.so
install -D -pm 0644 %{name}.h           %{buildroot}%{_includedir}/%{name}.h



%check
export LD_LIBRARY_PATH=$PWD
cp %{name}.c tmpin
./6pack -v
./6unpack -v

: Compress
./6pack -1 tmpin tmpout1
./6pack -2 tmpin tmpout2

: Uncompress 1
rm tmpin
./6unpack tmpout1
diff %{name}.c tmpin

: Uncompress 2
rm tmpin
./6unpack tmpout2
diff %{name}.c tmpin



%files
%license LICENSE
%{_libdir}/lib%{name}.so.%{abi}

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-1
- initial build
